{
   "buffs":
   [
      {
         "id" : "Nagato_skill_tooltip_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "unicorn_vow2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "unicorn_vow2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_Sakura_tooltip_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_Sakura_tooltip_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_Sakura_tooltip_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_Sakura_tooltip_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_Sakura_tooltip_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_Sakura_tooltip_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_Sakura_tooltip_4_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_Sakura_tooltip_4_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_Sakura_tooltip_5_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_Sakura_tooltip_5_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_Sakura_tooltip_6_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_Sakura_tooltip_6_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_Sakura_tooltip_7_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_Sakura_tooltip_7_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_Sakura_tooltip_8_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_Sakura_tooltip_8_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_Sakura_tooltip_9_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_Sakura_tooltip_9_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_2_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_2_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_3_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_4_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_4_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_4_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_4_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_4_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_4_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_4_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_4_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_4_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_4_6",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_4_6",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_4_7",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_4_7",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_4_8",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_4_8",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_5_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_5_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_5_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_5_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_5_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_5_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_5_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_5_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_5_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_5_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_5_6",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_5_6",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_6_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_6_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_6_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_6_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_6_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_6_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_6_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_6_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_6_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_6_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_7_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_7_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_7_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_7_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_7_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_7_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill_tooltip_7_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill_tooltip_7_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill6_cd_tooltip",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill6_cd_tooltip",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_fireAD_tooltip",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_fireAD_tooltip",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_bloom_1_tooltip",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_bloom_1_tooltip",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_bloom_2_tooltip",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_bloom_2_tooltip",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_ad_SakuraDMG_tooltip_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_ad_SakuraDMG_tooltip_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_ad_fire_tooltip_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_ad_fire_tooltip_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_aff_tooltip_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_aff_tooltip_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_3_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_3_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_3_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_4_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_4_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_5_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_5_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_5_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_5_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_5_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_5_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_6_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_6_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_7_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_7_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_8_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_8_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_8_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_8_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_9_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_9_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_10_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_10_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_11_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_11_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_12_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_12_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_trinkets_tooltip_13_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinkets_tooltip_13_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_Tri_set_tooltip_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_Tri_set_tooltip_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_tooltip_trinket_19_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinket_19_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_tooltip_trinket_19_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_trinket_19_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_skill7_ad1_tooltip",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_skill7_ad1_tooltip",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Nagato_Artillery_tooltip",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Nagato_Artillery_tooltip",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      }
   ]
}